Subject: [Ietf-calsify] Meeting minutes posted

From: aki.niemi at nokia.com (Aki Niemi)
Date: Thu Mar 30 06:01:32 2006

All,

The draft minutes of the WG meeting in Dallas have been posted. If you
have comments, please send them my way. For your convenience, they're
linked here:

http://www3.ietf.org/proceedings/06mar/minutes/calsify.txt

Cheers,
Aki

Date: Thu, 30 Mar 2006 17:01:25 +0300
From: Aki Niemi <[email-masked]>
To: [email-masked]
Subject: [Ietf-calsify] Meeting minutes posted

All,

The draft minutes of the WG meeting in Dallas have been posted. If you
have comments, please send them my way. For your convenience, they're
linked here:

http://www3.ietf.org/proceedings/06mar/minutes/calsify.txt

Cheers,
Aki

Date: Mon, 27 Mar 2006 13:35:21 -0800
From: Dave Thewlis <[email-masked]>
Organization: The Calendaring and Scheduling Consortium
To: ietf-calsify list <[email-masked]>
Subject: [Ietf-calsify] Registration is now open for May 2005 CalConnect Roundtable and IOP Testing
Reply-To: [email-masked]

This is a multi-part message in MIME format.
--------------030909040105000905060100
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 8bit

Registration is now open for the May 22-25 CalConnect Roundtable VI and 
Interoperability Testing events.  These events will be hosted by IBM in 
Cambridge, Massachusetts.  The IOP testing will occur on May 22nd and 
the morning of May 23rd.  The Roundtable will take place on the 
afternoon of the 23rd, all day on the 24th and the morning of the 25th.

Information on Roundtable VI and on the IOP testing event can be found 
at http://www.calconnect.org/roundtable6.html and 
http://www.calconnect.org/iopmay2006.html respectively, including travel 
and logistics information.

A general schedule for the Roundtable is posted on the Roundtable VI 
page mentioned agove; more detailed information will be posted to that 
page as it becomes available.

The Consortium is planning to offer an introductory Practicum on 
iCalendar (RFC 2445) and on CalDAV, the new Calendar Access protocol, on 
Tuesday morning the 23rd for anyone who is not involved in the IOP 
testing and wishes to come early.  The Practicum is available without to 
anyone registered for Roundtable VI as an member representative or as an 
observer.

Due to the hotel pressures in the Boston area in May, I encourage 
everyone to make their travel and hotel arrangements as soon as possible.

Best Regards,

Dave Thewlis
-- 
*Dave Thewlis, Executive Director
Calconnect - The Calendaring and Scheduling Consortium*
+1 707 840 9391 (voice) · +1 707 498 2238 (mobile)
http://www.calconnect.org · [email-masked] 
<mailto:[email-masked]>

--------------030909040105000905060100
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
</head>
<body bgcolor="#ffffff" text="#000000">
Registration is now open for the May 22-25 CalConnect Roundtable VI and
Interoperability Testing events.&nbsp; These events will be hosted by IBM in
Cambridge, Massachusetts.&nbsp; The IOP testing will occur on May 22nd and
the morning of May 23rd.&nbsp; The Roundtable will take place on the
afternoon of the 23rd, all day on the 24th and the morning of the 25th.<br>
<br>
Information on Roundtable VI and on the IOP testing event can be found
at <a href="http://www.calconnect.org/roundtable6.html">http://www.calconnect.org/roundtable6.html</a>
and <a href="http://www.calconnect.org/iopmay2006.html">http://www.calconnect.org/iopmay2006.html</a>
respectively, including travel and logistics information.<br>
<br>
A general schedule for the Roundtable is posted on the Roundtable VI
page mentioned agove; more detailed information will be posted to that
page as it becomes available.<br>
<br>
The Consortium is planning to offer an introductory Practicum on
iCalendar (RFC 2445) and on CalDAV, the new Calendar Access protocol,
on Tuesday morning the 23rd for anyone who is not involved in the IOP
testing and wishes to come early.&nbsp; The Practicum is available without
to anyone registered for Roundtable VI as an member representative or
as an observer.<br>
<br>
Due to the hotel pressures in the Boston area in May, I encourage
everyone to make their travel and hotel arrangements as soon as
possible.<br>
<br>
Best Regards,<br>
<br>
Dave Thewlis<br>
<div class="moz-signature">-- <br>
<b>Dave Thewlis, Executive Director<br>
Calconnect - The Calendaring and Scheduling Consortium</b><br>
+1 707 840 9391 (voice) &middot; +1 707 498 2238 (mobile)<br>
<a href="http://www.calconnect.org">http://www.calconnect.org</a> &middot; <a
 href="mailto:[email-masked]">[email-masked]</a>
</div>
</body>
</html>

--------------030909040105000905060100--

From: "Tim Hare" <[email-masked]>
To: "'Calsify WG'" <[email-masked]>, "'CalDAV DevList'" <[email-masked]>, "'WebDAV WG'" <[email-masked]>
Subject: RE: [Ietf-calsify] Re: [Ietf-caldav] Re: CalDAV draft Informal Last-Call
Date: Sat, 18 Mar 2006 14:49:06 -0500

Cross-posted to Calsify, CalDAV, and WebDAV because that's how it came in,
which is relevant to this post. 

Would it be possible to not cross-post CalDAV/WebDAV discussion to the
Calsify list, please?  The two are different efforts, albeit related, and
receiving CalDAV postings twice only serves to make it harder to follow
Calsify discussions.

Thanks, 
Tim Hare
Interested Bystander, Non-Inc.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Julian Reschke
Sent: Saturday, March 18, 2006 12:42 PM
To: Bernard Desruisseaux
Cc: Calsify WG; CalDAV DevList; WebDAV WG
Subject: [Ietf-calsify] Re: [Ietf-caldav] Re: CalDAV draft Informal
Last-Call

Bernard Desruisseaux wrote:
> 
> I thought it would be worthwhile to update everybody on the
> changes we are planning to make in draft -11 based on the
> issues that have been brought up so far:
> 
> - Added new preconditions:
>    * CALDAV:number-of-recurrences-within-limits for PUT;
>    * CALDAV:calendar-collection-location-ok for MOVE and COPY.
> - Redefined the CALDAV:no-uid-conflict precondition.
> - Minor editorial changes.
> - Update to references.
> - Added element CALDAV:is-not-defined.
> - Added new attribute "negate-condition" to the
>   CALDAV:text-match element.
> 
> The last two changes were required to be able to query the to-dos
> that are *not* completed and *not* cancelled. The issue is that
> the CALDAV:calendar-query REPORT does not provide support for a
> "not" operator. To be able to address the above use case without
> increasing the complexity of the CALDAV:calendar-query REPORT
> significantly we have decided to add a new condition "is-not-defined" 
> and to add a "negate-condition" attribute to be able to negate the
> "text-match" condition.
> ...

Bernard,

so did you consider whether CalDAV is going to be based on RFC2518 or on 
RFC2518bis? That is, would a CalDAV client be able to rely on 
RFC2518bis, or would they need to interact with both kinds of servers?

Are CalDAV server implementors implementing RFC2518bis (or are they 
planning to)?

Best regards, Julian
_______________________________________________
Ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

Date: Sat, 18 Mar 2006 18:42:14 +0100
From: Julian Reschke <[email-masked]>
To: Bernard Desruisseaux <[email-masked]>
Cc: Calsify WG <[email-masked]>, CalDAV DevList <[email-masked]>, WebDAV WG <[email-masked]>
Subject: [Ietf-calsify] Re: [Ietf-caldav] Re: CalDAV draft Informal Last-Call

Bernard Desruisseaux wrote:
> 
> I thought it would be worthwhile to update everybody on the
> changes we are planning to make in draft -11 based on the
> issues that have been brought up so far:
> 
> - Added new preconditions:
>    * CALDAV:number-of-recurrences-within-limits for PUT;
>    * CALDAV:calendar-collection-location-ok for MOVE and COPY.
> - Redefined the CALDAV:no-uid-conflict precondition.
> - Minor editorial changes.
> - Update to references.
> - Added element CALDAV:is-not-defined.
> - Added new attribute "negate-condition" to the
>   CALDAV:text-match element.
> 
> The last two changes were required to be able to query the to-dos
> that are *not* completed and *not* cancelled. The issue is that
> the CALDAV:calendar-query REPORT does not provide support for a
> "not" operator. To be able to address the above use case without
> increasing the complexity of the CALDAV:calendar-query REPORT
> significantly we have decided to add a new condition "is-not-defined" 
> and to add a "negate-condition" attribute to be able to negate the
> "text-match" condition.
> ...

Bernard,

so did you consider whether CalDAV is going to be based on RFC2518 or on 
RFC2518bis? That is, would a CalDAV client be able to rely on 
RFC2518bis, or would they need to interact with both kinds of servers?

Are CalDAV server implementors implementing RFC2518bis (or are they 
planning to)?

Best regards, Julian

Date: Wed, 15 Mar 2006 21:35:52 -0500
From: Bernard Desruisseaux <[email-masked]>
To: CalDAV DevList <[email-masked]>
Cc: Calsify WG <[email-masked]>, WebDAV WG <[email-masked]>
Subject: [Ietf-calsify] Re: [Ietf-caldav] Re: CalDAV draft Informal Last-Call

I thought it would be worthwhile to update everybody on the
changes we are planning to make in draft -11 based on the
issues that have been brought up so far:

- Added new preconditions:
    * CALDAV:number-of-recurrences-within-limits for PUT;
    * CALDAV:calendar-collection-location-ok for MOVE and COPY.
- Redefined the CALDAV:no-uid-conflict precondition.
- Minor editorial changes.
- Update to references.
- Added element CALDAV:is-not-defined.
- Added new attribute "negate-condition" to the
   CALDAV:text-match element.

The last two changes were required to be able to query the to-dos
that are *not* completed and *not* cancelled. The issue is that
the CALDAV:calendar-query REPORT does not provide support for a
"not" operator. To be able to address the above use case without
increasing the complexity of the CALDAV:calendar-query REPORT
significantly we have decided to add a new condition "is-not-defined" 
and to add a "negate-condition" attribute to be able to negate the
"text-match" condition.

Here's the DTD declarations that will be added to the draft:

   <!ELEMENT is-not-defined EMPTY>

   <!ATTLIST text-match negate-condition (yes | no) #IMPLIED "no">

Here's an example for the to-dos use case:

    REPORT /bernard/work/ HTTP/1.1
    Host: cal.example.com
    Depth: 1
    Content-Type: application/xml; charset="utf-8"
    Content-Length: xxxx

    <?xml version="1.0" encoding="utf-8" ?>
    <C:calendar-query xmlns:C="urn:ietf:params:xml:ns:caldav">
      <D:prop xmlns:D="DAV:">
        <D:getetag/>
        <C:calendar-data/>
      </D:prop>
      <C:filter>
        <C:comp-filter name="VCALENDAR">
          <C:comp-filter name="VTODO">
            <C:prop-filter name="COMPLETED">
              <C:is-not-defined/>
            </C:prop-filter>
            <C:prop-filter name="STATUS">
              <C:text-match
                 negate-condition="yes">CANCELLED</c:text-match>
            </C:prop-filter>
          </C:comp-filter>
        </C:comp-filter>
      </C:filter>
    </C:calendar-query>

Please continue to send us feedback/questions/comments.

Thanks,
Bernard

Bernard Desruisseaux wrote:
> Quick update.  We will submit the CalDAV draft for Last Call when
> Internet-Draft posting will resume after the next IETF meeting.
> That will give more time to people to review the draft.
> 
> Cheers,
> Bernard
> 
> Bernard Desruisseaux wrote:
> 
>>
>> We submitted CalDAV draft -10 to the IETF yesterday. The draft has
>> not been officially announced yet, but it is already available for
>> you to review at the following URL:
>>
>> http://ietf.webdav.org/caldav/draft-dusseault-caldav-10.txt
>>
>> We would like to submit the CalDAV draft for Last Call in time for
>> the 65th IETF Meeting in Dallas (i.e., really soon!). Before we do
>> so, we would like to get as much feedback as possible from the
>> participants of the "ietf-caldav" mailing list as well as from the
>> members of the WebDAV and Calsify Working Groups.
>>
>> Once officially announced the draft should be available at:
>>
>>   http://www.ietf.org/internet-drafts/draft-dusseault-caldav-10.txt
>>
>> Previous versions of the draft are available at:
>>
>>   http://ietfreport.isoc.org/idref/draft-dusseault-caldav/
>>
>> Discussion on CalDAV is taking place on the "ietf-caldav" mailing list:
>>
>>   mailto:[email-masked]
>>
>> which is archived at:
>>
>>   http://lists.osafoundation.org/mailman/listinfo/ietf-caldav
>>
>> Reports on the 4 CalDAV Interoperability Events organized by the
>> Calendaring and Scheduling Consortium (CalConnect) can be found at:
>>
>>   http://www.calconnect.org/ioppast.html
>>
>> Finally, additional information on CalDAV can also be found at:
>>
>>   http://ietf.webdav.org/caldav/
>>
>> Please review draft -10 and send us feedback/questions/comments.
>>
>> Thanks for you help!
>>
>> Cheers,
>> Bernard
>>
>> -- 
>>
>> C.1.  Changes in -10
>>
>>    a.  Added new section about support for X- items when storing data.
>>
>>    b.  Added new precondition to allow servers to reject queries on
>>        unsupported X- items, and a new example.
>>
>>    c.  Added new text about always supporting X- in calendar-data.
>>
>>    d.  Created new section for PUT, COPY and MOVE preconditions.
>>
>>    e.  Report examples re-done with full listing of calendar data in
>>        Appendix.
>>
>>    f.  Removed description of using UID, SUMMARY etc as resource name.
>>
>>    g.  Indicate that calendar object resource may contain only
>>        overridden components.
>>
>>    h.  Add security consideration about not expose details in resource
>>        names.
>>
>>    i.  Add constraint that free-busy-query can only be run on a
>>        collection.
>>
>>    j.  Add preconditions for calendar-timezone property/elements in
>>        MKCALENDAR, PROPPATCH and calendar-query REPORT.
>>
>>    k.  Fix principal-match example.
>>
>>
>>
> 
> _______________________________________________
> Ietf-caldav mailing list -- [email-masked]
> See http://ietf.webdav.org/caldav/ for more CalDAV resources
> http://lists.osafoundation.org/mailman/listinfo/ietf-caldav

Date: Mon, 13 Mar 2006 16:09:36 +0200
From: Aki Niemi <[email-masked]>
To: [email-masked]
Subject: [Ietf-calsify] IETF65 Agenda

All,

Here's the proposed agenda for the Dallas meeting. If you have any
comments, send them my way.

Cheers,
Aki

---

Calendaring and Scheduling Standards Simplification (calsify) WG
================================================================

Tuesday, March 21, 2006
1850-1950 Afternoon Session IV, Cortez AB

Chairs:
Lisa Dusseault <[email-masked]>
Aki Niemi <[email-masked]>

Agenda
------

1850    Agenda bashing                                       (Chairs, 5
mins)

1855    Discuss 'simplification' vs 'clarification'          (Daboo, 15
mins)
        as the way forward for this WG.

1910    2445bis issues discussion
(Desruisseaux, 15 mins)

1925    2446bis issues discussion                            (Daboo, 10
mins)

1935    2447bis status - ready for WG last call?             (Melnikov,
5 mins)

1940    Report from Calconnect on recurrences                (Daboo, 5 mins)

1945    Report from Calconnect on last interop event
(McCullough, 5 mins)

To: [email-masked]
From: [email-masked]
Date: Thu, 09 Mar 2006 15:50:02 -0500
Cc: [email-masked]
Subject: [Ietf-calsify] I-D ACTION:draft-ietf-calsify-2446bis-01.txt 

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Calendaring and Scheduling Standards Simplification Working Group of the IETF.

	Title		: iCalendar Transport-Independent Interoperability Protocol (iTIP)
	Author(s)	: C. Daboo
	Filename	: draft-ietf-calsify-2446bis-01.txt
	Pages		: 122
	Date		: 2006-3-9
	
This document specifies a protocol using the iCalendar object
specification to provide scheduling interoperability between
different calendar systems.  This is done in a general way so as to
allow multiple methods of communication between systems.  Subsequent
documents will define profiles of this protocol using specific
interoperable methods of communications between systems.

iTIP complements the iCalendar object specification by adding
semantics for group scheduling methods commonly available in current
calendar systems.  These scheduling methods permit two or more
calendar systems to perform transactions such as publish, schedule,
reschedule, respond to scheduling requests, negotiation of changes or
cancel.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-calsify-2446bis-01.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-calsify-2446bis-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-calsify-2446bis-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body; access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-calsify-2446bis-01.txt

--OtherAccess
Content-Type: Message/External-body; name="draft-ietf-calsify-2446bis-01.txt";
	site="ftp.ietf.org"; access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

Date: Tue, 07 Mar 2006 08:39:08 -0500
From: Bernard Desruisseaux <[email-masked]>
To: CalDAV DevList <[email-masked]>, Calsify WG <[email-masked]>, WebDAV WG <[email-masked]>
Subject: [Ietf-calsify] Re: CalDAV draft Informal Last-Call

Quick update.  We will submit the CalDAV draft for Last Call when
Internet-Draft posting will resume after the next IETF meeting.
That will give more time to people to review the draft.

Cheers,
Bernard

Bernard Desruisseaux wrote:
> 
> We submitted CalDAV draft -10 to the IETF yesterday. The draft has
> not been officially announced yet, but it is already available for
> you to review at the following URL:
> 
> http://ietf.webdav.org/caldav/draft-dusseault-caldav-10.txt
> 
> We would like to submit the CalDAV draft for Last Call in time for
> the 65th IETF Meeting in Dallas (i.e., really soon!). Before we do
> so, we would like to get as much feedback as possible from the
> participants of the "ietf-caldav" mailing list as well as from the
> members of the WebDAV and Calsify Working Groups.
> 
> Once officially announced the draft should be available at:
> 
>   http://www.ietf.org/internet-drafts/draft-dusseault-caldav-10.txt
> 
> Previous versions of the draft are available at:
> 
>   http://ietfreport.isoc.org/idref/draft-dusseault-caldav/
> 
> Discussion on CalDAV is taking place on the "ietf-caldav" mailing list:
> 
>   mailto:[email-masked]
> 
> which is archived at:
> 
>   http://lists.osafoundation.org/mailman/listinfo/ietf-caldav
> 
> Reports on the 4 CalDAV Interoperability Events organized by the
> Calendaring and Scheduling Consortium (CalConnect) can be found at:
> 
>   http://www.calconnect.org/ioppast.html
> 
> Finally, additional information on CalDAV can also be found at:
> 
>   http://ietf.webdav.org/caldav/
> 
> Please review draft -10 and send us feedback/questions/comments.
> 
> Thanks for you help!
> 
> Cheers,
> Bernard
> 
> -- 
> 
> C.1.  Changes in -10
> 
>    a.  Added new section about support for X- items when storing data.
> 
>    b.  Added new precondition to allow servers to reject queries on
>        unsupported X- items, and a new example.
> 
>    c.  Added new text about always supporting X- in calendar-data.
> 
>    d.  Created new section for PUT, COPY and MOVE preconditions.
> 
>    e.  Report examples re-done with full listing of calendar data in
>        Appendix.
> 
>    f.  Removed description of using UID, SUMMARY etc as resource name.
> 
>    g.  Indicate that calendar object resource may contain only
>        overridden components.
> 
>    h.  Add security consideration about not expose details in resource
>        names.
> 
>    i.  Add constraint that free-busy-query can only be run on a
>        collection.
> 
>    j.  Add preconditions for calendar-timezone property/elements in
>        MKCALENDAR, PROPPATCH and calendar-query REPORT.
> 
>    k.  Fix principal-match example.
> 
> 
> 

To: [email-masked]
From: [email-masked]
Date: Wed, 01 Mar 2006 15:50:01 -0500
Cc: [email-masked]
Subject: [Ietf-calsify] I-D ACTION:draft-ietf-calsify-rfc2447bis-01.txt 

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Calendaring and Scheduling Standards Simplification Working Group of the IETF.

	Title		: iCalendar Message-Based Interoperability Protocol (iMIP)
	Author(s)	: A. Melnikov
	Filename	: draft-ietf-calsify-rfc2447bis-01.txt
	Pages		: 20
	Date		: 2006-3-1
	
This document, [iMIP], specifies a binding from the iCalendar
   Transport-independent Interoperability Protocol (iTIP) to Internet
   email-based transports. Calendaring entries defined by the iCalendar
   Object Model [iCAL] are composed using constructs from [RFC-2822],
   [RFC-2045], [RFC-2046], [RFC-2047], [RFC-2048] and [RFC-2049].

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-calsify-rfc2447bis-01.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-calsify-rfc2447bis-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-calsify-rfc2447bis-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body; access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-calsify-rfc2447bis-01.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-calsify-rfc2447bis-01.txt"; site="ftp.ietf.org";
	access-type="anon-ftp"; directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--